---
title: TouchEvent.shiftKey
slug: Web/API/TouchEvent/shiftKey
tags:
  - API
  - DOM
  - Mobile
  - Property
  - TouchEvent
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<h2 id="Summary">Summary</h2>

<p>A {{jsxref("Boolean")}} value indicating whether or not the <kbd>shift</kbd> key is enabled when the touch event is created. If this key is enabled, the attribute's value is <code>true</code>. Otherwise, it is <code>false</code>.</p>

<p>This property is {{readonlyInline}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">var <em>shiftEnabled</em> = <em>touchEvent</em>.shiftKey;
</pre>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt><code>shiftEnabled</code></dt>
 <dd><code>true</code> if the <kbd>shift</kbd> key is enabled for this event; and <code>false</code> if the <kbd>shift</kbd> key is not enabled.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>The <a href="/en-US/docs/Web/API/TouchEvent/altKey#Example">TouchEvent.altKey example</a> includes an example of this property's usage.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touchevent-shiftkey')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events','#widl-TouchEvent-shiftKey')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchEvent.shiftKey")}}</p>
